Skip to main content

Endpoint

View as Markdown

Endpoint object

Endpoint represents a cloud networking resource in a user's cloud account and binds it to the <Databricks> account.

namestring

The resource name of the endpoint, which uniquely identifies the endpoint.

Example: accounts/123e4567-e89b-12d3-a456-426614174000/endpoints/123e4567-e89b-12d3-a456-426614174000

endpoint_idstring

The unique identifier for this endpoint under the account. This field is a UUID generated by <Databricks>.

Example: 123e4567-e89b-12d3-a456-426614174000

account_idstring

The Databricks Account in which the endpoint object exists.

Example: 123e4567-e89b-12d3-a456-426614174000

display_namestring

The human-readable display name of this endpoint. The input should conform to RFC-1034, which restricts to letters, numbers, and hyphens, with the first character a letter, the last a letter or a number, and a 63 character maximum.

Example: example-endpoint

use_casestring

The use case that determines the type of network connectivity this endpoint provides. This field is automatically determined based on the endpoint configuration and cloud-specific settings.

Values: SERVICE_DIRECT

regionstring

The cloud provider region where this endpoint is located.

statestring

The state of the endpoint. The endpoint can only be used if the state is APPROVED.

Values: PENDING, APPROVED, FAILED, DISCONNECTED

azure_private_endpoint_infoobject

Info for an Azure private endpoint.

Show child attributesHide child attributes
private_endpoint_namestring

The name of the Private Endpoint in the Azure subscription.

Example: example-private-endpoint

private_endpoint_resource_guidstring

The GUID of the Private Endpoint resource in the Azure subscription. This is assigned by Azure when the user sets up the Private Endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000

private_endpoint_resource_idstring

The full resource ID of the Private Endpoint.

create_timestring

The timestamp when the endpoint was created. The timestamp is in RFC 3339 format in UTC timezone.

Example: 2024-01-15T10:30:00.000Z

Get GA

GET /api/networking/v1/{name=accounts/*/endpoints/*}

Gets details of a specific network endpoint.

API scopes: provisioning

Parameters

namestringpath

Example: accounts/123e4567-e89b-12d3-a456-426614174000/endpoints/123e4567-e89b-12d3-a456-426614174000

Response

Returns the Endpoint object.

List GA

GET /api/networking/v1/{parent=accounts/*}/endpoints

Lists all network connectivity endpoints for the account.

API scopes: provisioning

Parameters

parentstringpath

The parent resource name of the account to list endpoints for. Format: accounts/{account_id}.

Example: accounts/123e4567-e89b-12d3-a456-426614174000

page_tokenstringquery
page_sizeint32query

Response

Returns a list of Endpoint objects.

Create GA

POST /api/networking/v1/{parent=accounts/*}/endpoints

Creates a new network connectivity endpoint that enables private connectivity between your network resources and <Databricks> services.

After creation, the endpoint is initially in the PENDING state. The <Databricks> endpoint service automatically reviews and approves the endpoint within a few minutes. Use the GET method to retrieve the latest endpoint state.

An endpoint can be used only after it reaches the APPROVED state.

API scopes: provisioning

Parameters

parentstringpath

The parent resource name of the account under which the endpoint is created. Format: accounts/{account_id}.

Example: accounts/123e4567-e89b-12d3-a456-426614174000

Request body

endpointobject
Show child attributesHide child attributes
namestring

The resource name of the endpoint, which uniquely identifies the endpoint.

Example: accounts/123e4567-e89b-12d3-a456-426614174000/endpoints/123e4567-e89b-12d3-a456-426614174000

endpoint_idstring

The unique identifier for this endpoint under the account. This field is a UUID generated by <Databricks>.

Example: 123e4567-e89b-12d3-a456-426614174000

account_idstring

The Databricks Account in which the endpoint object exists.

Example: 123e4567-e89b-12d3-a456-426614174000

display_namestring

The human-readable display name of this endpoint. The input should conform to RFC-1034, which restricts to letters, numbers, and hyphens, with the first character a letter, the last a letter or a number, and a 63 character maximum.

Example: example-endpoint

use_casestring

The use case that determines the type of network connectivity this endpoint provides. This field is automatically determined based on the endpoint configuration and cloud-specific settings.

Values: SERVICE_DIRECT

regionstring

The cloud provider region where this endpoint is located.

statestring

The state of the endpoint. The endpoint can only be used if the state is APPROVED.

Values: PENDING, APPROVED, FAILED, DISCONNECTED

azure_private_endpoint_infoobjectRequired

Info for an Azure private endpoint.

Show child attributesHide child attributes
private_endpoint_namestring

The name of the Private Endpoint in the Azure subscription.

Example: example-private-endpoint

private_endpoint_resource_guidstring

The GUID of the Private Endpoint resource in the Azure subscription. This is assigned by Azure when the user sets up the Private Endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000

private_endpoint_resource_idstring

The full resource ID of the Private Endpoint.

create_timestring

The timestamp when the endpoint was created. The timestamp is in RFC 3339 format in UTC timezone.

Example: 2024-01-15T10:30:00.000Z

Response

Returns the Endpoint object.

Delete GA

DELETE /api/networking/v1/{name=accounts/*/endpoints/*}

Deletes a network endpoint. This will remove the endpoint configuration from <Databricks>. Depending on the endpoint type and use case, you may also need to delete corresponding network resources in your cloud provider account.

API scopes: provisioning

Parameters

namestringpath

Example: accounts/123e4567-e89b-12d3-a456-426614174000/endpoints/123e4567-e89b-12d3-a456-426614174000